Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class AvailableSituationImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                              |
                              +--org.eclipse.hyades.logging.events.cbe.impl.SituationTypeImpl
                                    |
                                    +--org.eclipse.hyades.logging.events.cbe.impl.AvailableSituationImpl

All Implemented Interfaces:
  AvailableSituation, java.lang.Cloneable, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

public class AvailableSituationImpl
extends SituationTypeImpl
implements AvailableSituation, java.lang.Cloneable

An implementation of the model object 'Available Situation'.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `AVAILABILITY_DISPOSITION_EDEFAULT` The default value of the '`Availability Disposition`' attribute.
`protected java.lang.String` | `availabilityDisposition` The cached value of the '`Availability Disposition`' attribute.
`protected static java.lang.String` | `OPERATION_DISPOSITION_EDEFAULT` The default value of the '`Operation Disposition`' attribute.
`protected java.lang.String` | `operationDisposition` The cached value of the '`Operation Disposition`' attribute.
`protected static java.lang.String` | `PROCESSING_DISPOSITION_EDEFAULT` The default value of the '`Processing Disposition`' attribute.
`protected java.lang.String` | `processingDisposition` The cached value of the '`Processing Disposition`' attribute.

Fields inherited from class org.eclipse.hyades.logging.events.cbe.impl.SituationTypeImpl
`DISPOSITION_MAX_LENGTH, REASONING_SCOPE_EDEFAULT, reasoningScope`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `AvailableSituationImpl()`

Method Summary
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object object)` Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getAvailabilityDisposition()`
`java.lang.String` | `getOperationDisposition()`
`java.lang.String` | `getProcessingDisposition()`
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setAvailabilityDisposition(java.lang.String newAvailabilityDisposition)`
`void` | `setOperationDisposition(java.lang.String newOperationDisposition)`
`void` | `setProcessingDisposition(java.lang.String newProcessingDisposition)`
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from class org.eclipse.hyades.logging.events.cbe.impl.SituationTypeImpl
`getReasoningScope, setReasoningScope`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eProperties, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eClass, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsProxy, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### OPERATION_DISPOSITION_EDEFAULT

    protected static final java.lang.String OPERATION_DISPOSITION_EDEFAULT

  The default value of the '`Operation Disposition`' attribute.

  See Also:
    `getOperationDisposition()`

### operationDisposition

    protected java.lang.String operationDisposition

  The cached value of the '`Operation Disposition`' attribute.

  See Also:
    `getOperationDisposition()`

### AVAILABILITY_DISPOSITION_EDEFAULT

    protected static final java.lang.String AVAILABILITY_DISPOSITION_EDEFAULT

  The default value of the '`Availability Disposition`' attribute.

  See Also:
    `getAvailabilityDisposition()`

### availabilityDisposition

    protected java.lang.String availabilityDisposition

  The cached value of the '`Availability Disposition`' attribute.

  See Also:
    `getAvailabilityDisposition()`

### PROCESSING_DISPOSITION_EDEFAULT

    protected static final java.lang.String PROCESSING_DISPOSITION_EDEFAULT

  The default value of the '`Processing Disposition`' attribute.

  See Also:
    `getProcessingDisposition()`

### processingDisposition

    protected java.lang.String processingDisposition

  The cached value of the '`Processing Disposition`' attribute.

  See Also:
    `getProcessingDisposition()`

Constructor Detail

### AvailableSituationImpl

    protected AvailableSituationImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SituationTypeImpl`

### getOperationDisposition

    public java.lang.String getOperationDisposition()

  Specified by:
    `getOperationDisposition` in interface `AvailableSituation`
  Returns:
    the value of the 'Operation Disposition' attribute.
  See Also:
    `AvailableSituation.setOperationDisposition(String)`, `EventPackage.getAvailableSituation_OperationDisposition()`

### setOperationDisposition

    public void setOperationDisposition(java.lang.String newOperationDisposition)

  Specified by:
    `setOperationDisposition` in interface `AvailableSituation`
  Parameters:
    `newOperationDisposition` - the new value of the 'Operation Disposition' attribute.
  See Also:
    `AvailableSituation.getOperationDisposition()`

### getAvailabilityDisposition

    public java.lang.String getAvailabilityDisposition()

  Specified by:
    `getAvailabilityDisposition` in interface `AvailableSituation`
  Returns:
    the value of the 'Availability Disposition' attribute.
  See Also:
    `AvailableSituation.setAvailabilityDisposition(String)`, `EventPackage.getAvailableSituation_AvailabilityDisposition()`

### setAvailabilityDisposition

    public void setAvailabilityDisposition(java.lang.String newAvailabilityDisposition)

  Specified by:
    `setAvailabilityDisposition` in interface `AvailableSituation`
  Parameters:
    `newAvailabilityDisposition` - the new value of the 'Availability Disposition' attribute.
  See Also:
    `AvailableSituation.getAvailabilityDisposition()`

### getProcessingDisposition

    public java.lang.String getProcessingDisposition()

  Specified by:
    `getProcessingDisposition` in interface `AvailableSituation`
  Returns:
    the value of the 'Processing Disposition' attribute.
  See Also:
    `AvailableSituation.setProcessingDisposition(String)`, `EventPackage.getAvailableSituation_ProcessingDisposition()`

### setProcessingDisposition

    public void setProcessingDisposition(java.lang.String newProcessingDisposition)

  Specified by:
    `setProcessingDisposition` in interface `AvailableSituation`
  Parameters:
    `newProcessingDisposition` - the new value of the 'Processing Disposition' attribute.
  See Also:
    `AvailableSituation.getProcessingDisposition()`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `SituationTypeImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `SituationTypeImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `SituationTypeImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `SituationTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SituationTypeImpl`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `SituationType`

  Checks whether the contents of the instance conform to the CBE specification.

  Specified by:
    `validate` in interface `SituationType`
  Overrides:
    `validate` in class `SituationTypeImpl`
  Throws:
    `ValidationException` - if the situation type does not follow the CBE specification.
  See Also:
    `SituationType.validate()`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `SituationTypeImpl`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object object)

  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `SituationTypeImpl`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `AvailableSituation`
  Overrides:
    `init` in class `SituationTypeImpl`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD